<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayZGame Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/db1/class_day_z_game.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZGame Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad24883f7d460a6d4d88eecfdce136e60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#ad24883f7d460a6d4d88eecfdce136e60">DayZGame</a> ()</td></tr>
<tr class="separator:ad24883f7d460a6d4d88eecfdce136e60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46ef864809c005a51c2f0ea2b52ae1ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a46ef864809c005a51c2f0ea2b52ae1ec">~DayZGame</a> ()</td></tr>
<tr class="separator:a46ef864809c005a51c2f0ea2b52ae1ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae757e1ea2accc690b0deacb6cfa565e3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#ae757e1ea2accc690b0deacb6cfa565e3">GlobalsInit</a> ()</td></tr>
<tr class="separator:ae757e1ea2accc690b0deacb6cfa565e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6453660062597f5d7e05a33cf5ffb8c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a6453660062597f5d7e05a33cf5ffb8c6">SetExpansionGame</a> (<a class="el" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a> game)</td></tr>
<tr class="separator:a6453660062597f5d7e05a33cf5ffb8c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eeb62e5fbdb93aaa48aaace7705ed11"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a8eeb62e5fbdb93aaa48aaace7705ed11">GetExpansionGame</a> ()</td></tr>
<tr class="separator:a8eeb62e5fbdb93aaa48aaace7705ed11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a782cad24039484f9efecb47b21fbbef5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a782cad24039484f9efecb47b21fbbef5">ExpansionGetStartTime</a> ()</td></tr>
<tr class="separator:a782cad24039484f9efecb47b21fbbef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a185e548480c4da744e78eddafffe86fe"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a185e548480c4da744e78eddafffe86fe">SetWorldCenterPosition</a> ()</td></tr>
<tr class="separator:a185e548480c4da744e78eddafffe86fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c577455ae9ea2260dbe4006f007da90"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a2c577455ae9ea2260dbe4006f007da90">GetWorldCenterPosition</a> ()</td></tr>
<tr class="memdesc:a2c577455ae9ea2260dbe4006f007da90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Note: Usually not actual center, depends on what's in a world's config.cpp.  <a href="../../dc/db1/class_day_z_game.html#a2c577455ae9ea2260dbe4006f007da90">More...</a><br /></td></tr>
<tr class="separator:a2c577455ae9ea2260dbe4006f007da90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e304cf3198f20c588d50026ce7d730c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a9e304cf3198f20c588d50026ce7d730c">GetWorldSize</a> ()</td></tr>
<tr class="separator:a9e304cf3198f20c588d50026ce7d730c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40127cc66112423e4c8fe9ff6d0292cd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a40127cc66112423e4c8fe9ff6d0292cd">FirearmEffects</a> (Object source, Object directHit, int componentIndex, string surface, vector pos, vector surfNormal, vector exitPos, vector inSpeed, vector outSpeed, bool isWater, bool deflected, string ammoType)</td></tr>
<tr class="separator:a40127cc66112423e4c8fe9ff6d0292cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9575373356875bc8e57f4cf4f2af5567"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a9575373356875bc8e57f4cf4f2af5567">OnUpdate</a> (bool doSim, float timeslice)</td></tr>
<tr class="separator:a9575373356875bc8e57f4cf4f2af5567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f575a727250b55feb68a5e6b7adfcdb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a1f575a727250b55feb68a5e6b7adfcdb">OnRPC</a> (PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:a1f575a727250b55feb68a5e6b7adfcdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeba6984aa638096d5901908e3c964b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#abeba6984aa638096d5901908e3c964b1">Expansion_SetIsMissionMainMenu</a> (bool state)</td></tr>
<tr class="separator:abeba6984aa638096d5901908e3c964b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f57b38fea2f28da6c395a05f914f64"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#aa2f57b38fea2f28da6c395a05f914f64">Expansion_IsMissionMainMenu</a> ()</td></tr>
<tr class="separator:aa2f57b38fea2f28da6c395a05f914f64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a50ebe8114b3d858590673ea59c1765af"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a50ebe8114b3d858590673ea59c1765af">GetExpansionClientVersion</a> ()</td></tr>
<tr class="separator:a50ebe8114b3d858590673ea59c1765af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a20155b74423b9fcf135639e50102495a"><td class="memItemLeft" align="right" valign="top">protected string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a20155b74423b9fcf135639e50102495a">m_ExpansionClientVersion</a></td></tr>
<tr class="separator:a20155b74423b9fcf135639e50102495a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f11cb9b7a19c1ec3e316fd42f208b79"><td class="memItemLeft" align="right" valign="top">protected string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a1f11cb9b7a19c1ec3e316fd42f208b79">m_ExpansionLastestVersion</a></td></tr>
<tr class="separator:a1f11cb9b7a19c1ec3e316fd42f208b79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b365901273d3a2c9e6914c98a070fa5"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a2b365901273d3a2c9e6914c98a070fa5">m_ExpansionGame</a></td></tr>
<tr class="separator:a2b365901273d3a2c9e6914c98a070fa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5502fd542de994776f3fea618b5339cc"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#a5502fd542de994776f3fea618b5339cc">m_Expansion_StartTime</a></td></tr>
<tr class="separator:a5502fd542de994776f3fea618b5339cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae664d3cc44860f330d827c8f2e33a0fa"><td class="memItemLeft" align="right" valign="top">protected vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#ae664d3cc44860f330d827c8f2e33a0fa">m_WorldCenterPosition</a></td></tr>
<tr class="separator:ae664d3cc44860f330d827c8f2e33a0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2fd69fe27211e0cbd6e6f621266335c"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/db1/class_day_z_game.html#ac2fd69fe27211e0cbd6e6f621266335c">m_Expansion_IsMissionMainMenu</a></td></tr>
<tr class="separator:ac2fd69fe27211e0cbd6e6f621266335c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionDayZGame.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00013">13</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad24883f7d460a6d4d88eecfdce136e60" name="ad24883f7d460a6d4d88eecfdce136e60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad24883f7d460a6d4d88eecfdce136e60">&#9670;&#160;</a></span>DayZGame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZGame::DayZGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00027">27</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a46ef864809c005a51c2f0ea2b52ae1ec" name="a46ef864809c005a51c2f0ea2b52ae1ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46ef864809c005a51c2f0ea2b52ae1ec">&#9670;&#160;</a></span>~DayZGame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZGame::~DayZGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00059">59</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa2f57b38fea2f28da6c395a05f914f64" name="aa2f57b38fea2f28da6c395a05f914f64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f57b38fea2f28da6c395a05f914f64">&#9670;&#160;</a></span>Expansion_IsMissionMainMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool DayZGame::Expansion_IsMissionMainMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00228">228</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="abeba6984aa638096d5901908e3c964b1" name="abeba6984aa638096d5901908e3c964b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeba6984aa638096d5901908e3c964b1">&#9670;&#160;</a></span>Expansion_SetIsMissionMainMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZGame::Expansion_SetIsMissionMainMenu </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00223">223</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a782cad24039484f9efecb47b21fbbef5" name="a782cad24039484f9efecb47b21fbbef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a782cad24039484f9efecb47b21fbbef5">&#9670;&#160;</a></span>ExpansionGetStartTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int DayZGame::ExpansionGetStartTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00130">130</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a40127cc66112423e4c8fe9ff6d0292cd" name="a40127cc66112423e4c8fe9ff6d0292cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40127cc66112423e4c8fe9ff6d0292cd">&#9670;&#160;</a></span>FirearmEffects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZGame::FirearmEffects </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>directHit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>componentIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>surface</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>surfNormal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>exitPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>inSpeed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>outSpeed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isWater</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>deflected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ammoType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00194">194</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a50ebe8114b3d858590673ea59c1765af" name="a50ebe8114b3d858590673ea59c1765af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50ebe8114b3d858590673ea59c1765af">&#9670;&#160;</a></span>GetExpansionClientVersion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string DayZGame::GetExpansionClientVersion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00102">102</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a8eeb62e5fbdb93aaa48aaace7705ed11" name="a8eeb62e5fbdb93aaa48aaace7705ed11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eeb62e5fbdb93aaa48aaace7705ed11">&#9670;&#160;</a></span>GetExpansionGame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a> DayZGame::GetExpansionGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00094">94</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a2c577455ae9ea2260dbe4006f007da90" name="a2c577455ae9ea2260dbe4006f007da90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c577455ae9ea2260dbe4006f007da90">&#9670;&#160;</a></span>GetWorldCenterPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector DayZGame::GetWorldCenterPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Note: Usually not actual center, depends on what's in a world's config.cpp. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00142">142</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a9e304cf3198f20c588d50026ce7d730c" name="a9e304cf3198f20c588d50026ce7d730c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e304cf3198f20c588d50026ce7d730c">&#9670;&#160;</a></span>GetWorldSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float DayZGame::GetWorldSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Just fall back to Chernarus size</p>

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00150">150</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="ae757e1ea2accc690b0deacb6cfa565e3" name="ae757e1ea2accc690b0deacb6cfa565e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae757e1ea2accc690b0deacb6cfa565e3">&#9670;&#160;</a></span>GlobalsInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZGame::GlobalsInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00067">67</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a1f575a727250b55feb68a5e6b7adfcdb" name="a1f575a727250b55feb68a5e6b7adfcdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f575a727250b55feb68a5e6b7adfcdb">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZGame::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Move below if there becomes some problems</p>

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00214">214</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a9575373356875bc8e57f4cf4f2af5567" name="a9575373356875bc8e57f4cf4f2af5567"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9575373356875bc8e57f4cf4f2af5567">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZGame::OnUpdate </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doSim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>timeslice</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00206">206</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a6453660062597f5d7e05a33cf5ffb8c6" name="a6453660062597f5d7e05a33cf5ffb8c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6453660062597f5d7e05a33cf5ffb8c6">&#9670;&#160;</a></span>SetExpansionGame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZGame::SetExpansionGame </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a>&#160;</td>
          <td class="paramname"><em>game</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00086">86</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a185e548480c4da744e78eddafffe86fe" name="a185e548480c4da744e78eddafffe86fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a185e548480c4da744e78eddafffe86fe">&#9670;&#160;</a></span>SetWorldCenterPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void DayZGame::SetWorldCenterPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00135">135</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac2fd69fe27211e0cbd6e6f621266335c" name="ac2fd69fe27211e0cbd6e6f621266335c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2fd69fe27211e0cbd6e6f621266335c">&#9670;&#160;</a></span>m_Expansion_IsMissionMainMenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool DayZGame::m_Expansion_IsMissionMainMenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00022">22</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a5502fd542de994776f3fea618b5339cc" name="a5502fd542de994776f3fea618b5339cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5502fd542de994776f3fea618b5339cc">&#9670;&#160;</a></span>m_Expansion_StartTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int DayZGame::m_Expansion_StartTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00019">19</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a20155b74423b9fcf135639e50102495a" name="a20155b74423b9fcf135639e50102495a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20155b74423b9fcf135639e50102495a">&#9670;&#160;</a></span>m_ExpansionClientVersion</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected string DayZGame::m_ExpansionClientVersion</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00015">15</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a2b365901273d3a2c9e6914c98a070fa5" name="a2b365901273d3a2c9e6914c98a070fa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b365901273d3a2c9e6914c98a070fa5">&#9670;&#160;</a></span>m_ExpansionGame</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/dd4/class_expansion_game.html">ExpansionGame</a> DayZGame::m_ExpansionGame</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00017">17</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="a1f11cb9b7a19c1ec3e316fd42f208b79" name="a1f11cb9b7a19c1ec3e316fd42f208b79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f11cb9b7a19c1ec3e316fd42f208b79">&#9670;&#160;</a></span>m_ExpansionLastestVersion</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected string DayZGame::m_ExpansionLastestVersion</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00016">16</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<a id="ae664d3cc44860f330d827c8f2e33a0fa" name="ae664d3cc44860f330d827c8f2e33a0fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae664d3cc44860f330d827c8f2e33a0fa">&#9670;&#160;</a></span>m_WorldCenterPosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected vector DayZGame::m_WorldCenterPosition</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d61/dayzgame_8c_source.html#l00021">21</a> of file <a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/<a class="el" href="../../dd/d61/dayzgame_8c_source.html">dayzgame.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/db1/class_day_z_game.html">DayZGame</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
